{
  "name": "document-updater-sharelatex",
  "version": "0.1.4",
  "description": "An API for applying incoming updates to documents in real-time",
  "repository": {
    "type": "git",
    "url": "https://github.com/sharelatex/document-updater-sharelatex.git"
  },
  "scripts": {
    "start": "node $NODE_APP_OPTIONS app.js",
    "test:acceptance:_run": "mocha --recursive --reporter spec --timeout 15000 --exit $@ test/acceptance/js",
    "test:acceptance": "npm run test:acceptance:_run -- --grep=$MOCHA_GREP",
    "test:unit:_run": "mocha --recursive --reporter spec $@ test/unit/js",
    "test:unit": "npm run test:unit:_run -- --grep=$MOCHA_GREP",
    "nodemon": "nodemon --config nodemon.json",
    "lint": "node_modules/.bin/eslint --max-warnings 0 .",
    "format": "node_modules/.bin/prettier-eslint $PWD'/**/*.js' --list-different",
    "format:fix": "node_modules/.bin/prettier-eslint $PWD'/**/*.js' --write"
  },
  "dependencies": {
    "@overleaf/metrics": "^3.4.1",
    "@overleaf/o-error": "^3.1.0",
    "@overleaf/redis-wrapper": "^2.0.0",
    "async": "^2.5.0",
    "body-parser": "^1.19.0",
    "bunyan": "~0.22.1",
    "diff-match-patch": "https://github.com/overleaf/diff-match-patch/archive/89805f9c671a77a263fc53461acd62aa7498f688.tar.gz",
    "express": "4.17.1",
    "lodash": "^4.17.19",
    "logger-sharelatex": "^1.9.1",
    "mongodb": "^3.6.0",
    "request": "^2.88.2",
    "requestretry": "^4.1.0",
    "settings-sharelatex": "^1.1.0"
  },
  "devDependencies": {
    "babel-eslint": "^10.1.0",
    "chai": "^3.5.0",
    "chai-spies": "^0.7.1",
    "cluster-key-slot": "^1.0.5",
    "eslint": "^6.8.0",
    "eslint-config-prettier": "^6.10.0",
    "eslint-config-standard": "^14.1.0",
    "eslint-config-standard-jsx": "^8.1.0",
    "eslint-config-standard-react": "^9.2.0",
    "eslint-plugin-chai-expect": "^2.1.0",
    "eslint-plugin-chai-friendly": "^0.5.0",
    "eslint-plugin-import": "^2.20.1",
    "eslint-plugin-jsx-a11y": "^6.2.3",
    "eslint-plugin-mocha": "^6.3.0",
    "eslint-plugin-node": "^11.0.0",
    "eslint-plugin-prettier": "^3.1.2",
    "eslint-plugin-promise": "^4.2.1",
    "eslint-plugin-react": "^7.19.0",
    "eslint-plugin-standard": "^4.0.1",
    "mocha": "^5.0.1",
    "prettier": "^2.0.0",
    "prettier-eslint-cli": "^5.0.0",
    "sandboxed-module": "~0.2.0",
    "sinon": "^9.0.2",
    "timekeeper": "^2.0.0"
  }
}
